LegendAreaProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.LegendAreaProperties,LegendAreaProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class LegendAreaProperties

    java.lang.Object
      |
      +--org.jCharts.properties.Properties
            |
            +--org.jCharts.properties.AreaProperties
                  |
                  +--org.jCharts.properties.LegendAreaProperties

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

Direct Known Subclasses:
  LegendProperties

public abstract class LegendAreaProperties
extends AreaProperties
implements HTMLTestable

See Also:
  Serialized Form

Field Summary
`static int` | `BOTTOM`
`private int` | `chartPadding`
`private int` | `columnPadding`
`static int` | `COLUMNS_AS_MANY_AS_NEEDED`
`static int` | `COLUMNS_FIT_TO_IMAGE`
`private int` | `iconPadding`
`static int` | `LEFT`
`private int` | `numColumns`
`private int` | `placement`
`static int` | `RIGHT`
`private int` | `rowPadding`
`static int` | `TOP`

Fields inherited from class org.jCharts.properties.AreaProperties
``

Fields inherited from class org.jCharts.properties.Properties
`DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`LegendAreaProperties()` Constructor for those desiring auto-calculation of the Legend width based on the number of columns.

Method Summary
`int` | `getChartPadding()` Returns the padding between chart plot and the Legend.
`int` | `getColumnPadding()` Returns the padding between label columns.
`int` | `getIconPadding()` Returns the padding between the icon and the Label
`int` | `getNumColumns()` Gets the number of text columns the legend should display.
`int` | `getPlacement()` Returns where the Legend should be drawn in relation to the Chart.
`int` | `getRowPadding()` Returns the padding between labels in each row.
`void` | `setChartPadding(int chartPadding)` Sets the padding between chart plot and the Legend.
`void` | `setColumnPadding(int columnPadding)` Sets the padding between label columns, in pixels.
`void` | `setIconPadding(int iconPadding)` Sets the padding between the icon and the Label, in pixels.
`void` | `setNumColumns(int numColumns)` Sets the number of text columns the legend should display.
`void` | `setPlacement(int placementConstant)` Sets where the Legend should be drawn in relation to the Chart.
`void` | `setRowPadding(int rowPadding)` Sets the padding between labels in each row, in pixels.
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.

Methods inherited from class org.jCharts.properties.AreaProperties
`getBorderStroke, getEdgePadding, setBorderStroke, setEdgePadding`

Methods inherited from class org.jCharts.properties.Properties
`getBackgroundPaint, setBackgroundPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMNS_AS_MANY_AS_NEEDED

    public static final int COLUMNS_AS_MANY_AS_NEEDED

See Also:
  Constant Field Values

### COLUMNS_FIT_TO_IMAGE

    public static final int COLUMNS_FIT_TO_IMAGE

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### numColumns

    private int numColumns

### rowPadding

    private int rowPadding

### columnPadding

    private int columnPadding

### iconPadding

    private int iconPadding

### chartPadding

    private int chartPadding

### placement

    private int placement

Constructor Detail

### LegendAreaProperties

    public LegendAreaProperties()

  Constructor for those desiring auto-calculation of the Legend width based on the number of columns. All Labels are on a single row as default number of rows is: COLUMNS_AS_MANY_AS_NEEDED

Method Detail

### getPlacement

    public int getPlacement()

  Returns where the Legend should be drawn in relation to the Chart.

  Returns:
    int

### setPlacement

    public void setPlacement(int placementConstant)

  Sets where the Legend should be drawn in relation to the Chart.

  Parameters:
    `placementConstant` -

### getChartPadding

    public int getChartPadding()

  Returns the padding between chart plot and the Legend.

  Returns:
    int

### setChartPadding

    public void setChartPadding(int chartPadding)

  Sets the padding between chart plot and the Legend.

  Parameters:
    `chartPadding` -

### getColumnPadding

    public int getColumnPadding()

  Returns the padding between label columns.

  Returns:
    int

### getRowPadding

    public int getRowPadding()

  Returns the padding between labels in each row.

  Returns:
    int

### setNumColumns

    public void setNumColumns(int numColumns)

  Sets the number of text columns the legend should display.

  Parameters:
    `numColumns` -

### getNumColumns

    public int getNumColumns()

  Gets the number of text columns the legend should display.

  Returns:
    int

### getIconPadding

    public int getIconPadding()

  Returns the padding between the icon and the Label

  Returns:
    int

### setRowPadding

    public void setRowPadding(int rowPadding)

  Sets the padding between labels in each row, in pixels.

  Parameters:
    `rowPadding` -

### setColumnPadding

    public void setColumnPadding(int columnPadding)

  Sets the padding between label columns, in pixels.

  Parameters:
    `columnPadding` -

### setIconPadding

    public void setIconPadding(int iconPadding)

  Sets the padding between the icon and the Label, in pixels.

  Parameters:
    `iconPadding` -

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `AreaProperties`
  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD